## golang-github-sethvargo-go-fastly 1.2.1+git20190805.5c6c8bd

=== debian/changelog ===
golang-github-sethvargo-go-fastly (1.2.1+git20190805.5c6c8bd-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 10 Nov 2019 21:10:10 +0000

golang-github-sethvargo-go-fastly (1.2.1+git20190805.5c6c8bd-1) unstable; urgency=medium

  * Initial release (Closes: #821266)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Aug 2019 21:03:17 +0000
