=== debian/control ===
Source: golang-github-sethvargo-go-fastly
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-ajg-form-dev,
               golang-github-dnaeon-go-vcr-dev,
               golang-github-google-jsonapi-dev,
               golang-github-hashicorp-go-cleanhttp-dev,
               golang-github-mitchellh-mapstructure-dev
Standards-Version: 4.3.0
Homepage: https://github.com/sethvargo/go-fastly
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sethvargo-go-fastly
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sethvargo-go-fastly.git
XS-Go-Import-Path: github.com/sethvargo/go-fastly
Testsuite: autopkgtest-pkg-go

Package: golang-github-sethvargo-go-fastly-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-ajg-form-dev,
         golang-github-dnaeon-go-vcr-dev,
         golang-github-google-jsonapi-dev,
         golang-github-hashicorp-go-cleanhttp-dev,
         golang-github-mitchellh-mapstructure-dev
Description: Fastly API client library
 Go Fastly is a Golang API client for interacting with most facets of
 the Fastly API.
 .
 Fastly's API is designed to work in the following manner:
  - Create (or clone) a new configuration version for the service
  - Make any changes to the version
  - Validate the version
  - Activate the version
